/**
 * LDAPResultCode.java
 *
 * File generated from the core::LDAPResultCode uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration LDAPResultCode.
 *
 */

@XmlType(name = "LDAPResultCode")
@XmlEnum
@XmlRootElement(name = "LDAPResultCode")
public enum LDAPResultCode {
	@XmlEnumValue("success")
	SUCCESS("success"),
	@XmlEnumValue("operationsError")
	OPERATIONSERROR("operationsError"),
	@XmlEnumValue("protocolError")
	PROTOCOLERROR("protocolError"),
	@XmlEnumValue("timeLimitExceeded")
	TIMELIMITEXCEEDED("timeLimitExceeded"),
	@XmlEnumValue("sizeLimitExceeded")
	SIZELIMITEXCEEDED("sizeLimitExceeded"),
	@XmlEnumValue("compareFalse")
	COMPAREFALSE("compareFalse"),
	@XmlEnumValue("compareTrue")
	COMPARETRUE("compareTrue"),
	@XmlEnumValue("authMethodNotSupported")
	AUTHMETHODNOTSUPPORTED("authMethodNotSupported"),
	@XmlEnumValue("strongAuthRequired")
	STRONGAUTHREQUIRED("strongAuthRequired"),
	@XmlEnumValue("referral")
	REFERRAL("referral"),
	@XmlEnumValue("adminLimitExceeded")
	ADMINLIMITEXCEEDED("adminLimitExceeded"),
	@XmlEnumValue("unavailableCriticalExtension")
	UNAVAILABLECRITICALEXTENSION("unavailableCriticalExtension"),
	@XmlEnumValue("confidentialityRequired")
	CONFIDENTIALITYREQUIRED("confidentialityRequired"),
	@XmlEnumValue("saslBindInProgress")
	SASLBINDINPROGRESS("saslBindInProgress"),
	@XmlEnumValue("noSuchAttribute")
	NOSUCHATTRIBUTE("noSuchAttribute"),
	@XmlEnumValue("undefinedAttributeType")
	UNDEFINEDATTRIBUTETYPE("undefinedAttributeType"),
	@XmlEnumValue("inappropriateMatching")
	INAPPROPRIATEMATCHING("inappropriateMatching"),
	@XmlEnumValue("constraintViolation")
	CONSTRAINTVIOLATION("constraintViolation"),
	@XmlEnumValue("attributeOrValueExists")
	ATTRIBUTEORVALUEEXISTS("attributeOrValueExists"),
	@XmlEnumValue("invalidAttributeSyntax")
	INVALIDATTRIBUTESYNTAX("invalidAttributeSyntax"),
	@XmlEnumValue("noSuchObject")
	NOSUCHOBJECT("noSuchObject"),
	@XmlEnumValue("aliasProblem")
	ALIASPROBLEM("aliasProblem"),
	@XmlEnumValue("invalidDNSyntax")
	INVALIDDNSYNTAX("invalidDNSyntax"),
	@XmlEnumValue("aliasDerefencingProblem")
	ALIASDEREFENCINGPROBLEM("aliasDerefencingProblem"),
	@XmlEnumValue("inappropriateAuthentication")
	INAPPROPRIATEAUTHENTICATION("inappropriateAuthentication"),
	@XmlEnumValue("invalidCredentials")
	INVALIDCREDENTIALS("invalidCredentials"),
	@XmlEnumValue("insufficientAccessRights")
	INSUFFICIENTACCESSRIGHTS("insufficientAccessRights"),
	@XmlEnumValue("busy")
	BUSY("busy"),
	@XmlEnumValue("unavailable")
	UNAVAILABLE("unavailable"),
	@XmlEnumValue("unwillingToPerform")
	UNWILLINGTOPERFORM("unwillingToPerform"),
	@XmlEnumValue("loopDetect")
	LOOPDETECT("loopDetect"),
	@XmlEnumValue("namingViolation")
	NAMINGVIOLATION("namingViolation"),
	@XmlEnumValue("objectClassViolation")
	OBJECTCLASSVIOLATION("objectClassViolation"),
	@XmlEnumValue("notAllowedOnNonLeaf")
	NOTALLOWEDONNONLEAF("notAllowedOnNonLeaf"),
	@XmlEnumValue("notAllowedOnRDN")
	NOTALLOWEDONRDN("notAllowedOnRDN"),
	@XmlEnumValue("entryAlreadyExists")
	ENTRYALREADYEXISTS("entryAlreadyExists"),
	@XmlEnumValue("objectClassModsProhibited")
	OBJECTCLASSMODSPROHIBITED("objectClassModsProhibited"),
	@XmlEnumValue("affectMultipleDSAs")
	AFFECTMULTIPLEDSAS("affectMultipleDSAs"),
	@XmlEnumValue("other")
	OTHER("other");
	
	private final String value;

    LDAPResultCode(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static LDAPResultCode fromValue(String v) {
        for (LDAPResultCode c: LDAPResultCode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}